Upload Document Annotations
POST
/api/{version}/objects/documents/{doc_id}/annotationsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data |
Accept | application/json (default) or application/xml |
File Upload
Section link for File UploadTo upload the file, use the multi-part attachment with the file component "file={file_name}". The maximum allowed file size is 4GB. Vault truncates annotations that exceed the following character limits:
- Anchor annotations: Name limited to 140 characters
- Note, Link and Anchor annotations: Subject (in Header) limited to 32,000 characters
- Note, Link, Line, and Reply annotations: Comment limited to 32,000 characters
- External Links: URL Length limited to 32,000 characters
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=document2016.pdf" \
https://myvault.veevavault.com/api/v23.2/objects/documents/548/annotationsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "OK",
"replies": 0,
"failures": 0,
"new": 0
}Response Details
Section link for Response DetailsOn SUCCESS, Vault uploads the file and its annotations.